Parma_Polyhedra_Library::Implementation::Doubly_Linked_Object Class Reference

A (base) class for doubly linked objects. More...

`#include <ppl.hh>`

Inheritance diagram for Parma_Polyhedra_Library::Implementation::Doubly_Linked_Object:
[legend]

## Public Member Functions

| Doubly_Linked_Object ()
| Default constructor.
| Doubly_Linked_Object (Doubly_Linked_Object *f, Doubly_Linked_Object *b)
| Creates a chain element with forward link `f` and backward link `b`.
void | insert_before (Doubly_Linked_Object &y)
| Inserts `y` before `*this`.
void | insert_after (Doubly_Linked_Object &y)
| Inserts `y` after `*this`.
Doubly_Linked_Object * | erase ()
| Erases `*this` from the chain and returns a pointer to the next element.
| ~Doubly_Linked_Object ()
| Erases `*this` from the chain.

## Detailed Description

A (base) class for doubly linked objects.

The documentation for this class was generated from the following file:

- ppl.hh